Subject: Re: [PATCH] Allow multiple tag and branch directories in git-svnimport

From: Stefan Sperling <[email-masked]>
Date: Wed, 22 Aug 2007 12:24:15 +0200

On Tue, Aug 21, 2007 at 10:46:23AM -0700, Randal L. Schwartz wrote:
> Stefan> Ouch, just noticed it's a bad idea to try to initialise
> Stefan> an array with a scalar. Sorry :-/
> 
> That's completely normal.  Perl predictably promotes the single scalar to an
> array of one element.  I wouldn't have even noticed it in a detailed code
> review, since it's so normal to do that.
> 
> In fact, the parens that you added do *not* make it a list.  The parens
> are purely for precedence

> So, your parens are not only uncommon, they are also completely ineffective,
> similar to replacing 2 + 3 with (2) + (3) :)

Thanks for clarifying. Prior to hacking on git-svnimport
my perl "skills" (if any) were strictly read-only.
So I'm quite a noob wrt perl.
Feel free to nit the patch further :)

-- 
Stefan Sperling <[email-masked]>                 Software Developer
elego Software Solutions GmbH                            HRB 77719
Gustav-Meyer-Allee 25, Gebaeude 12        Tel:  +49 30 23 45 86 96 
13355 Berlin                              Fax:  +49 30 23 45 86 95
http://www.elego.de                 Geschaeftsfuehrer: Olaf Wagner